org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONXModuleV3d0

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.Module
  - - org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule
    - - org.apache.tinkerpop.gremlin.structure.io.graphson.TinkerPopJacksonModule
      - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONXModuleV3d0

- All Implemented Interfaces:
    Serializable, org.apache.tinkerpop.shaded.jackson.core.Versioned

      public final class GraphSONXModuleV3d0
      extends TinkerPopJacksonModule

  Version 3.0 of GraphSON extensions.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphSONXModuleV3d0.Builder`

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.databind.Module

      `org.apache.tinkerpop.shaded.jackson.databind.Module.SetupContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule

      `_abstractTypes, _deserializerModifier, _deserializers, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphSONXModuleV3d0(boolean normalize)` Constructs a new object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphSONXModuleV3d0.Builder` | `build()`
    `Map<Class,String>` | `getTypeDefinitions()`
    `String` | `getTypeNamespace()`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule

      `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.Module

      `getDependencies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSONXModuleV3d0

          protected GraphSONXModuleV3d0(boolean normalize)

      Constructs a new object.

  - ### Method Detail

    - #### build

          public static GraphSONXModuleV3d0.Builder build()

    - #### getTypeDefinitions

          public Map<Class,String> getTypeDefinitions()

      Specified by:
        `getTypeDefinitions` in class `TinkerPopJacksonModule`

    - #### getTypeNamespace

          public String getTypeNamespace()

      Specified by:
        `getTypeNamespace` in class `TinkerPopJacksonModule`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.